Setting Up Program Options and Continuous Monitoring

You can customize Spy Sweeper to meet your needs in the following ways:

  • Set program options
  • Set up continuous monitoring of activities related to potentially unwanted programs

In addition, you can do the following:

  • Report potentially unwanted programs that you find on your computer
  • View spy news


Setting Spy Sweeper Program Options

You can set several options to customize how Spy Sweeper works from the Program tab.

You can also update the Spy Sweeper program and Spy Sweeper definitions and report potentially unwanted programs. For more information, see Updating the Spy Sweeper Definitions and Program and Reporting Spyware and Viruses.

Step Introduction icon To set Spy Sweeper program options:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Options.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Options panel displays.
  3. Click the Program tab.
    • The Program tab displays.
  4. Select the options you want to use.

    5. Click to see a description of each option.

    Option
    Description
    Display
    Add "Sweep" Option to Windows Explorer Context Menu
    This option lets you run a sweep on a specific file or folder from Windows Explorer. This adds a Run a Sweep option to the menu you see when you right-click a file or folder, letting you run a sweep on the selected file or folder.
    If the option is unavailable (dimmed), you may not have access to this function. For more information, see Understanding How Spy Sweeper Works with Multiple User Accounts.
    Show Splash Screen on Spy Sweeper Startup
    This option turns on the Spy Sweeper splash screen that displays when you first start Spy Sweeper.
    Show Tooltips
    This option turns on explanatory text that displays when you hold your mouse pointer over options and buttons in Spy Sweeper.
    Other Options
    Load Spy Sweeper at Windows Startup
    This option ensures that Spy Sweeper starts whenever you start Windows, so it is always protecting your computer. We recommend using this option.

    Note: If you deselect this option, but have a scheduled sweep set to "When I Log On," Spy Sweeper will still load when Windows starts.

    If the option is unavailable (dimmed), you may not have access to this function. For more information, see Understanding How Spy Sweeper Works with Multiple User Accounts.
    Enable Password Protection
    This option lets you protect your settings with a password. The option asks you to create a password. After you create the password, use must use the password to access the Options, Shields, Alerts, and Quarantine panels and to shut down Spy Sweeper. For more information, see Protecting Settings with a Password.


Setting Up Continuous Monitoring (Shields)

You can set up Spy Sweeper to continuously monitor the following types of activities on your computer:

  • Virus activities
  • Web browser changes
  • Network changes
  • Windows system changes
  • Startup programs changes (for advanced computer users)

Spy Sweeper calls these functions Shields. When Spy Sweeper detects activity related to any of the shields, it displays an alert.

The Shields Summary tab (displays after you click Shields in the icon panel), as shown in Figure 3 , shows you a summary of all shields and their status.

Figure 3: Shields Summary tab

1
Shield Status
—Full Protection. All critical and recommended shields are turned on.
—Partial Protection. All critical shields are on, but some recommended shields are not.
—Vulnerable. One or more critical shields are not turned on.
2
—Shield related to potentially unwanted programs is turned on.
3
—Recommended shield is turned off. Click the shield name to go to the tab where you can turn the shield on. We recommend keeping all recommended shields turned on.
4
—Critical shield is off. Click the shield name to go to the tab where you can turn the shield on. We strongly recommend keeping all critical shields turned on.
5
—If you have Spy Sweeper with AntiVirus, virus-related shield is turned on. For information about turning on antivirus shield protection, see Setting Up the Antivirus Continuous Monitoring (Shields).

Table 2 lists the critical and recommended shields. We recommend that you leave these shields turned on.

Table 2: Critical and recommended shields
Critical shields
Recommended shields
Web Browser tab
Web Browser tab
Startup Programs tab
IE Hijack
Tracking Cookies
Startup Items
Windows System tab
IE Favorites
Network tab
Memory
IE Security
Common Ad Sites
Installation
Browser Helper Object (BHO)
Internet Communication
Windows System tab
Hosts File
ActiveX
Alternate Data Stream
Windows Messenger Service
Keylogger

If the shields are unavailable (dimmed), you may not have access to this function. For more information, see Understanding How Spy Sweeper Works with Multiple User Accounts.


Setting Up the Antivirus Continuous Monitoring (Shields)

Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, you can set up Spy Sweeper to continuously monitor your computer against viruses and to automatically handle viruses if they are found on your computer.

Step Introduction icon To set up antivirus continuous monitoring:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Options.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • For information about the icons in the Options tab, see Setting Up Continuous Monitoring (Shields).
  3. Click the Shields tab.
    • The Shields tab displays.
  4. Select the options you want to use.

    5. Click to see a description of each option.

    Option
    Description
    Protect Against Viruses
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, this option actively protects your computer from viruses attempting to infect your computer. This option is activated by default (automatically) and is recommended if you have Spy Sweeper with AntiVirus.
    This option affects the following shields:
    • Browser Help Object Shield
    • ActiveX Shield
    • Alternate Data Stream Shield
    • Memory Shield
    • Installation Shield
    • Startup Items Shield
    For more information on shields in general, see Setting Up Continuous Monitoring (Shields).


Setting Up the Web Browser Shields

You can set up Spy Sweeper to continuously monitor several Internet Explorer (IE) settings. These are settings that some potentially unwanted programs change if you are not protected.

When Spy Sweeper detects attempts to change your Internet Explorer favorites, security settings, browser add-ons, and other settings, it displays an alert.

If the shields are unavailable (dimmed), you may not have access to this function. For more information, see Understanding How Spy Sweeper Works with Multiple User Accounts.

Step Introduction icon To set up the Web Browser Shields:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Shields.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Shields Summary tab displays, showing a summary of the available shields and their status. For information about the icons in the Shields Summary tab, see Setting Up Continuous Monitoring (Shields).
  3. Click the Web Browser tab.
    • The Web Browser tab displays.
  4. Select the options you want to use.

    5. Click to see a description of each option.

    Option
    Description
    Web Browser Shields
    Tracking Cookies
    This option actively watches for known tracking cookies (that are in the Spy Sweeper definitions) as you visit Web sites and removes them. Tracking cookies are cookies that can track your Web activities. These may include cookies that contain user names, passwords, or similar information that you enter on some Web sites.
    IE Favorites
    This option actively protects your Internet Explorer favorites. Whenever a Web site tries to change your favorites, Spy Sweeper lets you know and gives you the option to accept or reject the change. Some Web sites add entries to your favorites without letting you know. This option ensures that you are aware whenever changes are made.
    Even if Spy Sweeper is not open when your favorites change, Spy Sweeper will detect the changes and ask you about them when you next start Spy Sweeper.
    IE Security
    This option actively protects your Internet Explorer security settings (select Tools > Internet Options and click the Security tab). Whenever a program tries to change these settings, Spy Sweeper lets you know and gives you the option to accept or reject the change. Some programs change these options without letting you know. This option ensures that you are aware whenever changes are made.
    Browser Helper Object (BHO)
    This option actively watches your computer for the installation of Browser Helper Objects (BHOs). Whenever a BHO tries to install itself, Spy Sweeper lets you know and gives you the option to accept or reject the change.
    BHOs are add-on programs that work with your browser. Some potentially unwanted programs add BHOs without your knowledge. This shield ensures that programs do not add a BHO without you being aware of it.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, the virus BHO Shield alerts you whenever a BHO tries to install itself and gives you the option to accept or reject the change.
    Edit BHOs Used by Internet Explorer
    Editing BHOs is for advanced users. Deselecting BHOs from the list could cause your browser to not work properly or cause your computer to be unstable. Edit with extreme caution. For more information, see Editing BHOs Used by Internet Explorer.
    Critical Web Browser Shields
    IE Hijack Shield
    This option actively protects various Internet Explorer functions, such as the search page, error pages, and other default (automatic) pages that Internet Explorer displays. Whenever a program tries to change these pages, Spy Sweeper lets you know and gives you the option to accept or reject the change. Some programs change ("hijack") these pages without letting you know. This option ensures that you are aware whenever changes are made.
    Even if Spy Sweeper is not open when these pages change, Spy Sweeper will detect the changes and ask you about them when you next start Spy Sweeper.
    Edit IE Hijack Shield Settings
    Click to edit the individual IE Hijack Shield settings, including the default (automatic) home and search pages for IE. For more information, see Editing the IE Hijack Shield Settings.


Editing BHOs Used by Internet Explorer

You can edit the BHOs that start when you start Internet Explorer. BHOs are add-on programs that work with your browser. Some potentially unwanted programs add BHOs without your knowledge.

Caution icon Caution: Editing browser add-on items is for advanced users. Editing items in the list could cause your browser to not work properly or cause your computer to be unstable. Edit with extreme caution.

Step Introduction icon To edit BHOs used by Internet Explorer:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Shields.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Shields panel displays, showing a summary of the available shields and their status.
  3. Click the Web Browser tab.
    • The Web Browser tab displays.
  4. Click Edit BHOs Used by Internet Explorer.
    • The Edit Browser Helper Objects window displays, with a list of the installed BHOs. Items with a check mark next to them start whenever Internet Explore starts.
    • To see more information about an item, select it and click More Details. Not all programs provide additional details.
  5. Deselect any BHOs you do not want to start whenever Internet Explorer starts.
  6. Click OK.


Editing the IE Hijack Shield Settings

You can edit the individual IE Hijack Shield settings, including the default (automatic) home and search pages for Internet Explorer.

Step Introduction icon To edit the IE Hijack Shield settings:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Shields.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
  3. Click the Web Browser tab.
    • The Web Browser tab displays.
  4. Select the options you want to use.

    5. Click to see a description of each option.

    IE Home Page Shield
    This option actively protects the Web site you set as your home page in Internet Explorer. Some programs change the home page that you set. The home page is the Web site that displays automatically when you start Internet Explorer or when you click the Home button.
    In the Use This Page field, enter the Web address of the Web site you want in the format: http://www.webroot.com.
    Alert Me Before Restoring This Setting
    Select this option if you want Spy Sweeper to tell you when it automatically changes the home page back to the site listed above. To avoid seeing alerts about changes to your home page, do not select this option.
    IE Search Page Shield
    This option actively protects the Web site you set as your search page in Internet Explorer. Some programs change the search page that you set. The search page is the Web site that displays automatically when you click the Search button in Internet Explorer.
    In the Use This Page field, enter the Web address of the Web site you want in the format: http://www.webroot.com.
    Alert Me Before Restoring This Setting
    Select this option if you want Spy Sweeper to tell you when it automatically changes the search page back to the site listed above. To avoid seeing alerts about changes to your home page, do not select this option.
    Advanced Settings
    These options are advanced configuration options used only in error conditions and/or when a system is severely infected. You can use these options to repair your Internet Explorer settings when a browser hijacker embeds itself deeply in your browser. Webroot customer support is available to assist.
    • User—Limited users can use this drop-down list to change these settings. Only the current user account is affected. These settings effectively override the system settings below. For more information about the account types, see Understanding How Spy Sweeper Works with Multiple User Accounts.
    • System—Only the computer administrator can use this drop-down list to change these settings. Changes here affect all user accounts, unless a limited user has customized the setting.
    Enter the Web address of the Web site in the format: http://www.webroot.com or the path to the file you want in the text field.
    Alert Me Before Restoring This Setting
    Select this option if you want Spy Sweeper to tell you when it automatically changes the pages listed in the Advanced Settings drop-down list back to the site or path listed in the text field. To avoid seeing alerts about changes to your home page, do not select this option.

  5. If you want to reset all of the Internet Explorer page settings back to the defaults (automatic options) used when Internet Explorer was first installed, click Reset IE Page Settings to Defaults.
  6. Click OK.


Setting Up the Network Shields

You can set up Spy Sweeper to continuously monitor network communication between your computer and other Web sites. These communication settings are vulnerable to the effects of potentially unwanted programs and viruses and can be changed without your permission if you are not protected. Network Shields block some ads that may display in your browser. They also stop Web sites from sending you to unexpected Web sites.

If the shields are unavailable (dimmed), you may not have access to this function. For more information, see Understanding How Spy Sweeper Works with Multiple User Accounts.

Step Introduction icon To set up the Network Shields:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Shields.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Shields panel displays, showing a summary of the available shields and their status.
  3. Click the Network tab.
    • The Network tab displays.
  4. Select the options you want to use.

    5. Click to see a description of each option.

    Option
    Description
    Common Ad Sites
    This option adds known advertising sites to your Hosts file and sets the IP address for those sites to the IP address for your computer. This blocks banner and other advertising from these sites. When you go to a Web site that has advertising from one of the blocked sites, you may see a small graphic that indicates a broken link to a graphic (typically a red x in a box). This just shows where the blocked ad would display. Spy Sweeper updates these sites when you update your definitions.
    Internet Communication
    This option actively watches for communication from your computer to known Web sites that are related to potentially unwanted programs. Spy Sweeper includes a list of known sites with its definitions.
    If Spy Sweeper detects an attempt to communicate with a site on the list, it will display a pop-up alert in the system tray (lower-right corner of your screen) telling you that access to the site was blocked.
    Hosts File
    This option actively watches the Hosts file for any changes. Some programs will add or change the IP address for a Web site in the Hosts file. When you try to go to the added or changed Web site, you will really go to a different Web site, such as an advertising site. This shield ensures that programs do not change an IP address without you being aware of it.
    Edit Hosts File
    Click to edit the Hosts file. For more information, see Editing the Hosts File.


Editing the Hosts File

Note icon Note: This section describes highly technical features associated with how your computer finds the actual address of a Web site. The features described here will not damage your computer or remove anything you need if you enable them, but the underlying technology is complex if you are not aware of how IP addressing works.

You can set up Spy Sweeper to continuously monitor two functions related to the Hosts file. The Hosts file is a Windows file that helps direct your computer to a Web site using Internet Protocol (IP) addresses. Your Web browser, for example Internet Explorer, uses the IP address to actually connect you to a Web site.

When you go to a Web site, like www.webroot.com, your computer first looks in the Hosts file to see if it already knows where to go. If the domain (webroot.com) is listed, your computer goes directly to the IP address listed in the Hosts file. If the domain is not in the Hosts file, your computer looks up the information from the Internet (a slightly slower process).

The Hosts file has two primary uses, one good and one bad:

  • Good—You can block a lot of tracking cookies and other monitoring by using the Hosts file to route certain domains, such as advertising sites, to a dead end.
  • Bad—Some potentially unwanted programs will route certain domains to false addresses, for example, by making a commonly used search site open to a porn site. We call this hijacking.

Using Spy Sweeper to manage the Hosts file, you can block a lot of unwanted adware activity, while preventing your Web browsing from being hijacked.

When Spy Sweeper detects activity related to the Hosts File Shield, it displays an alert.

If the shields are unavailable (dimmed), you may not have access to this function. For more information, see Understanding How Spy Sweeper Works with Multiple User Accounts.

Step Introduction icon To edit the Hosts file:

  1. Click Edit Hosts File.
    • The Edit Hosts File window displays, showing entries that you, your IT department, or potentially unwanted programs have added to your Hosts file. If you have the Common Ad Sites Shield turned on, it does not display the blocked ad sites.
    • Spy Sweeper compares the IP address of each entry in the Hosts file to the correct address on a domain name system (DNS) server. Any address that does not match and is not set to the local machine address (127.0.0.1) is flagged as possibly hijacked [image].
  2. Select the entries you want to remove.
  3. Click Delete Selected.
    • Spy Sweeper deletes the selected entries from your Hosts file.
  4. Click Close.


Setting Up the Windows System Shields

You can set up Spy Sweeper to continuously monitor several Windows system settings. These are settings that some potentially unwanted programs change if you are not protected.

If the shields are unavailable (dimmed), you may not have access to this function. For more information, see Understanding How Spy Sweeper Works with Multiple User Accounts.

Step Introduction icon To set up the Windows System Shields:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Shields.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Shields panel displays, showing a summary of the available shields and their status.
  3. Click the Windows System tab.
    • The Windows System tab displays.
  4. Select the options you want to use.

    5. Click to see a description of each option.

    Option
    Description
    Windows System Shields
    ActiveX Shield
    This option actively watches for programs that install ActiveX technology on your computer. Whenever a program tries to install ActiveX technology, Spy Sweeper lets you know and gives you the option to continue the installation or to stop it.
    ActiveX technology is a group of functions developed by Microsoft that let programs share information. Many legitimate programs use ActiveX, but some potentially unwanted programs also use ActiveX to install themselves.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, whenever a virus tries to install ActiveX technology, Spy Sweeper lets you know and gives you the option to continue the installation or to stop it.
    Prompt Only for Known Spyware Items
    Select this option to have Spy Sweeper watch for only known potentially unwanted programs (that are in the Spy Sweeper definitions) that try to install ActiveX technology. Turning this option on will reduce the number of alerts you receive, but could permit new potentially unwanted programs (that are not yet in the Spy Sweeper definitions) to install.
    Alternate Data Stream Execution
    (Applies only to Windows NT, 2000, and XP.) This option actively watches for programs that try to start from an alternative data stream (ADS). Turning on this shield lets Spy Sweeper alert you if a program tries to start from an ADS.
    ADS is a highly technical way to hide images, data, or code in a file and can be used to hide malicious code. The hidden content is impossible to detect using regularly-available tools, such as Windows Explorer.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, this option actively watches for viruses that try to start from an alternate data stream.
    Windows Messenger Service
    (Applies only to Windows NT, 2000, and XP.) This option turns off and actively watches the Microsoft Messenger Service. This service is not an instant messaging program and does not affect your use of instant messaging. This service is often used for sending spam (unwanted e-mail) and creating pop-up ads. Turning off the service stops these types of spam and pop-ups.
    If your computer is in your home, you can turn off this service without any problem. If you work in a corporate environment, contact your system administrator to find out if your company uses the service to communicate with company employees. If you are not sure, leave the service turned on until you find out.
    Critical Windows System Shields
    Memory
    This option sweeps your computer's random access memory (RAM) frequently looking for potentially unwanted programs. It only sweeps memory when Spy Sweeper is open in the system tray in the lower-right corner of your screen.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, this option sweeps your computer's random access memory (RAM) frequently looking for viruses. It only sweeps memory when Spy Sweeper is open in the system tray in the lower-right corner of your screen.
    Installation
    This option actively watches for known potentially unwanted programs (that are in the Spy Sweeper definitions) that try to install themselves on your computer. Whenever a potentially unwanted program tries to install itself, Spy Sweeper lets you know and gives you the option to block or allow the installation.
    This option also actively watches for potentially unwanted programs that try to start when you start a program on your computer and when you save to your disk drive. Whenever Spy Sweeper detects a potentially unwanted program in either of these situations, Spy Sweeper lets you know and gives you the option to block or allow the action.
    If you block the action Spy Sweeper places the file that tried to install, start, or save itself in Quarantine. You can then remove or restore the file. For more information, see Handling Quarantined Items.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, this option actively watches for known viruses that try to install themselves on your computer or save themselves to your disk drive. Whenever known viruses try to install or save themselves on your computer, Spy Sweeper lets you know and gives you the option to block or allow the action.
    Automatically Quarantine Potential Threats Found by This Shield
    This option automatically stops the installation, startup, or saving of known potentially unwanted programs (that are in the Spy Sweeper definitions) and places the file that tried to install, start, or save itself in Quarantine, without alerting you.
    Automatically Quarantine Viruses Found
    Spy Sweeper with AntiVirus icon This option automatically stops the installation, startup, or saving of known viruses (that are in the Spy Sweeper definitions) and places the file that tried to install, start, or save itself in Quarantine, without alerting you.
    Verify Programs Running in Protected Memory Space
    This option isolates and examines suspect processes when you start a program and looks for potentially unwanted programs. The process isolation gives Spy Sweeper a better chance to see what the process does. If the process matches a Spy Sweeper definition, Spy Sweeper lets you know and gives you the option to block or allow the startup.
    Select this option if you want stronger protection against potentially unwanted programs. If programs take longer to start up than you want, deselect this option.
    Scan for Viruses When Starting Applications
    Spy Sweeper with AntiVirus icon This option actively watches for viruses that try to start when you start a program on your computer. Whenever Spy Sweeper detects a virus trying to start, Spy Sweeper lets you know and gives you the option to block or allow the startup.
    Select this option if you want stronger protection against viruses. If programs take longer to start up than you want, deselect this option.
    Keylogger
    A keylogger is a type of system monitor that has the ability to monitor all keystrokes on your computer, which can capture your credit card numbers, passwords, and other personal information. This shield looks for any programs that are tracking your keystrokes and blocks the program from doing so.


Setting Up the Startup Programs Shields

You can set up Spy Sweeper to continuously monitor the list of programs that start every time you start Windows. Some potentially unwanted programs add themselves to this startup list if you are not protected, which causes the potentially unwanted program to start every time you start Windows.

When Spy Sweeper detects activity related to the Startup Shield, it displays an alert.

Spy Sweeper also lets you edit the startup items.

If the shields are unavailable (dimmed), you may not have access to this function. For more information, see Understanding How Spy Sweeper Works with Multiple User Accounts.

Caution icon Caution: Editing startup items is for advanced users. Some items listed may be required by Windows or other programs. Deselecting items from the list could cause your computer to not start properly or cause some programs not to work. Edit with extreme caution.

Step Introduction icon To set up the Startup Programs Shield:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Shields.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Shields panel displays, showing a summary of the available shields and their status.
  3. Click the Startup Programs tab.
    • The Startup Programs tab displays.
  4. Select the options you want to use.

    5. Click to see a description of each option.

    Option
    Description
    Startup Items
    This option actively watches for attempts to add either suspected potentially unwanted programs or any item to your startup list. Select an option below to set when you want Spy Sweeper to alert you.
    Spy Sweeper with AntiVirus icon If you have Spy Sweeper with AntiVirus, this option actively watches for attempts to add either suspected viruses or any item to your startup list. Select an option below to set when you want Spy Sweeper to alert you.
    Alert Only for Suspected Spyware and Virus Changes to Startup Items
    This option actively watches for attempts to add potentially unwanted programs, such as spyware, adware, and suspect programs, to your startup list. Some potentially unwanted programs will add themselves to your startup list, so that the potentially unwanted program will always run on your computer. This shield ensures that potentially unwanted programs do not add themselves to your startup list without you being aware of it.
    Alert for All Startup Item Changes
    This option actively watches your startup list for all changes. Some potentially unwanted programs will add themselves to your startup list, so that the potentially unwanted program will always run on your computer. This shield ensures that you are always alerted when a program tries to add an item to your startup list.
    Ignore Other Webroot Products
    This option tells Spy Sweeper to ignore changes made to your startup list when you install other Webroot products.
    Edit Startup Items
    Click to edit startup items. For more information, see Editing Startup Items.
    Editing startup items is for advanced users. Some items listed may be required by Windows or other programs. Deselecting items from the list could cause your computer to not start properly or cause some programs not to work. Edit with extreme caution.


Editing Startup Items

You can edit the startup items from Spy Sweeper. Startup items are programs that start whenever Windows starts.

Caution icon Caution: Editing startup items is for advanced users. Some items listed may be required by Windows or other programs. Deselecting items from the list could cause your computer to not start properly or cause some programs not to work. Edit with extreme caution.

Step Introduction icon To edit startup items:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Shields.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
  3. Click the Startup Programs tab.
    • The Startup Programs tab displays.
  4. Click Edit Startup Items.
    • The Edit Startup Items window displays with a list of the items that start when Windows starts, along with the path and name of the program's executable file. Items with a check mark next to them start whenever Windows starts.
    • To see more information about an item, select it and click More Details. Not all programs provide additional details.
  5. Deselect any item in the list that you do not want to start whenever Windows starts.
  6. Click OK.


Reporting Spyware and Viruses

If you believe that Spy Sweeper is not finding something you suspect is spyware, adware, a virus or a potentially unwanted program that you have on your computer, you can report it to Webroot. Webroot follows up on all reports to determine if it should add to its definitions.

If you have a trial version, you cannot report suspected spyware and viruses.

Note icon Note: You must connect to the Internet to report spyware or viruses.

Step Introduction icon To report spyware or viruses:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Options.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
    • The Options panel displays.
  3. Click the Program tab.
    • The Program tab displays.
  4. Click Report Potential Threats
    • The Report Potential Threat window displays. The report that will be sent contains information from Spy Sweeper about the items found on your computer.
    • If you want to view the report that will be sent, click View Report.
  5. If you want to provide information in addition to the report, complete the form.
    • You can use the form to send information about any problems you are experiencing that you believe are related to the potentially unwanted programs.
  6. Click Send Report.


Viewing Spy News

The Spy News provides you with tips, tricks, and information about potentially unwanted programs, such as spyware, adware, and suspect programs.

Step Introduction icon To view Spy News:

  1. Start Spy Sweeper, if it is not already open, and display the main window.
    • For more information, see Starting Spy Sweeper.
  2. In the icon panel, click Home.
    • For information about the Spy Sweeper window, see Understanding the Spy Sweeper Window.
  3. Click the Spy News link.
    • Spy Sweeper opens your Web browser and displays the latest news.


Glossary

ActiveX
ActiveX technology is a group of functions developed by Microsoft that let programs share information. Many legitimate programs use ActiveX, but some spyware also uses ActiveX to install itself.
adware
Adware is a type of software that may display advertisements on your system. Some adware may also hijack Web searches, meaning it may reroute your Web searches through its own Web page. It may change your default home page to a specific Web site. Adware generally propagates itself using dialog boxes, various social engineering methods, or through scripting errors. Adware and BHOs are often bundled with various free software programs, such as clocks, messengers, alerts, and software such as screensavers, cartoon cursors, backgrounds, sounds, etc. Removing adware bundled with free software programs may cause the software to stop operating. These adware programs may also cause slowing of your Web browser and system performance issues.
Alternate Data Stream (ADS)
An Alternate Data Stream is a highly technical way to hide images, data, or code in a file and can be used to hide malicious code. The hidden content is impossible to detect using regularly-available tools, such as Windows Explorer.
Browser Helper Object (BHO)
Browser Helper Objects are add-on programs that work with your browser. Some spyware adds BHOs without your knowledge.
dialer
Dialers may disconnect your computer from your Internet Service Provider (ISP) and reconnect you to the Internet using an expensive toll or international phone number. Dialers can accrue significant phone charges and can run in the background, hiding their presence. They generally propagates itself using dialog boxes, various social engineering methods, through scripting errors, or may be delivered with a Trojan horse. The Federal Trade Commission recommends that you dispute the charges with your telephone company and report the incident.
definitions
A definition is the set of fingerprints that characterize a potentially unwanted program, such as spyware or adware. Webroot regularly updates these definitions to provide better protection against the latest versions of potentially unwanted programs discovered by Spy Sweeper.
keylogger
A keylogger is a type of system monitor that has the ability to record all keystrokes on your computer. Therefore, a keylogger may monitor keystrokes, e-mails, chat room dialogue, instant message dialogue, Web sites visited, usernames, passwords, and programs run, and any other typed material. They may have the ability to run in the background, hiding their presence. Keyloggers and system monitors may be used for legitimate purposes but can also be installed by a user to record sensitive information for malicious purposes.
Someone with administrative access to your computer, such as a system administrator or someone who shares your computer, typically installs commercial system monitors. This program may be installed on the machine without your knowledge or consent, and may allow an unauthorized, third party to view potentially sensitive information.
Worst case scenario: A third party may be able to view your personal conversations and may gain access to private information such as your usernames, passwords, credit card numbers, or your Social Security number.
potentially unwanted program
A potentially unwanted program is a program that may change the security or privacy state of your computer and online activities. These programs can (but do not necessarily) collect information about your online activities and send it to a third party without your knowledge or consent. A potentially unwanted program may arrive bundled with freeware or shareware, various social engineering methods, or by someone with access to your computer. Users may decide to remove these programs by using desktop security product.
rootkit or potentially rootkit masked files
Rootkits use file obfuscation techniques to allow spyware and other malicious software to avoid detection and removal. Rootkits typically hide logins, processes, files and logs, and may include software to capture information from desktops or a network. A rootkit's abilities to hide the presence of an intruder and the intruder's actions explain the increase in use of this method.
spyware
Spyware is a program that may either monitor a user's online activities or possibly install programs without a user's consent. Information about online activities may be subsequently sent to a third party for malicious purposes without your knowledge or consent. Spyware may arrive bundled with freeware or shareware, through e-mail or instant messenger, may propagate itself using dialog boxes, various social engineering methods, scripting errors, or by someone with access to your computer. Spyware is difficult to detect, and difficult (if not impossible) for the average user to remove without the use of a top-quality anti-spyware program.
system monitors
System monitors, typically non-commercial, may monitor and capture your computer activity, including recording all keystrokes, e-mails, chat room dialogue, instant message dialogue, Web sites visited, usernames, passwords, and programs run. This program may be capable of taking screen shots of your desktop at scheduled intervals, storing the information on your computer in an encrypted log file for later retrieval. These log files may be e-mailed to a pre-defined e-mail address. This program can run in the background, hiding its presence. These programs typically install via other threats, such as music downloads, and Trojan downloaders. These system monitors may allow an unauthorized, third party to view potentially sensitive information, such as passwords, e-mail, and chat room conversation.
traces
Traces are the individual elements that make up the definition database. The more traces found and put into the definitions the more complete the removal of the potential threats.
tracking cookie
Cookies are pieces of information that are generated by a Web server and stored on your computer for future access. When visiting some Web sites, a cookie may be placed on your system to track your personal preferences and Web surfing habits through uniquely identifiable information (browsing habits, usernames and passwords, areas of interest, etc.), and simultaneously share the information with other Web sites.
Trojan horse
A Trojan horse may manage files on your computer, including creating, deleting, renaming, viewing, or transferring files to or from your computer. It can utilize a program manager that allows a hacker to install, execute, open, or close programs. The hacker can gain remote control of your cursor and keyboard and can even send mass e-mails from your infected computer. It can run in the background, hiding its presence. A Trojan is usually disguised as a harmless software program and may also be distributed as an e-mail attachment. Opening the program or attachment may cause an auto-installation process that loads the downloader onto your computer and download third party programs on your computer, resulting in the installation of unwanted programs without your knowledge or consent, jeopardizing your privacy if it downloads another Trojan or a system monitor. Trojans may open a port on your computer that may enable a hacker to gain remote control of your computer.
virus
A virus is a self-replicating program that can infest computer code, documents, or applications. While some viruses are purposefully malignant, others are more of a nuisance, replicating uncontrollably and inhibiting system performance.


End User License Agreement

PLEASE READ THIS AGREEMENT CAREFULLY

SOFTWARE LICENSE AGREEMENT

WEBROOT SOFTWARE, INC. ("WEBROOT") IS WILLING TO LICENSE THE ENCLOSED SOFTWARE (AS WELL AS UPDATES AND UPGRADES WEBROOT MAY MAKE AVAILABLE TO YOU FROM TIME TO TIME) AND DOCUMENTATION (THE "SOFTWARE") TO YOU ("YOU") ONLY ON THE CONDITION THAT YOU ACCEPT ALL OF THE TERMS IN THIS SOFTWARE LICENSE AGREEMENT (THE "AGREEMENT") AND PAY THE REQUIRED LICENSE FEES. IF YOU ARE AN EMPLOYEE OR AGENT OF A COMPANY (THE "COMPANY") AND ARE ENTERING INTO THIS AGREEMENT TO OBTAIN THE SOFTWARE FOR USE BY THE COMPANY FOR ITS OWN BUSINESS PURPOSES, YOU HEREBY AGREE THAT YOU ENTER INTO THIS AGREEMENT ON BEHALF OF THE COMPANY AND THAT YOU HAVE THE AUTHORITY TO BIND THE COMPANY TO THE TERMS AND CONDITIONS OF THIS AGREEMENT.

BY CLICKING ON THE "ACCEPT" BUTTON BELOW, YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, UNDERSTAND IT, AND AGREE TO BE BOUND BY IT. IF YOU DO NOT AGREE TO ANY OF THE TERMS BELOW, WEBROOT IS UNWILLING TO LICENSE THE SOFTWARE TO YOU, YOU ARE NOT AUTHORIZED TO USE THE SOFTWARE FOR ANY PURPOSE, AND YOU SHOULD CLICK ON THE "DO NOT ACCEPT" BUTTON BELOW TO DISCONTINUE THE INSTALLATION PROCESS. IN SUCH CASE, UPON REMOVAL, DESTRUCTION AND/OR RETURN OF THE SOFTWARE, ANY AMOUNTS ALREADY PAID BY YOU SHALL BE REFUNDED BY WEBROOT OR THE RETAILER FROM WHICH YOU PURCHASED THE SOFTWARE.

  1. LICENSE. Subject to the terms and conditions of this Agreement, Webroot hereby grants You a limited, non-exclusive, personal license to install and use the Software, in machine-readable form only, solely for Your own personal or internal business use on a single computer in accordance with this Agreement and the instructions, specifications and documentation provided with the Software. You may make one (1) copy of the Software only for backup and archival purposes; provided, however, that You reproduce all copyright and other proprietary notices that are on the original copy of the Software.
  2. RESTRICTIONS. You may not use or copy the Software, or any copy thereof, in whole or in part, except as expressly provided in this Agreement. You may not modify, reproduce, create derivative works of, distribute, sell, resell, lend, loan, lease, license, sublicense, or transfer (except as expressly provided herein) the Software or any portion thereof. You may not reverse engineer, disassemble, decompile, or translate the Software, or otherwise attempt to derive the source code of the Software, or authorize any third party to do any of the foregoing, except to the extent allowed under any applicable law. The Software contains trade secrets, trademarks, patents, and copyrights owned by Webroot. You shall not allow any access to or use of the Software by anyone other than You, or Your employees or agents, and any such use must be consistent with the terms, conditions, and restrictions set forth in this Agreement. You may not use the Software for the provision of any service for the benefit of any third party. You may transfer the limited license granted herein solely in connection with the transfer of the Software; provided, however, that You deliver all copies of the Software to the transferee, that You do not keep any copies of the Software or related materials, that the transferee is given a copy of this Agreement and acknowledges and agrees to be bound by its terms (such acknowledgement to be provided to Webroot), and that You provide to Webroot the recipient's contact information. Any attempt to transfer any of the rights, duties, or obligations hereunder not in accordance with the foregoing is null and void and without any force or effect.
  3. LICENSE FEES. You are responsible for paying Webroot or the retailer from which you purchased the Software the specified fees and applicable taxes for the license of the Software.
  4. OWNERSHIP. The Software is licensed, not sold, to You for Your use only under the terms of this Agreement, and Webroot reserves all rights not expressly granted to You. You own the media, if any, on which the Software is recorded, but Webroot retains ownership of all copies of the Software itself.
  5. UPDATES/UPGRADES. From time to time, Webroot may make new releases, revisions or enhancements to the Software available to You free of charge ("Updates") or for a fee ("Upgrades"). To be notified of the availability of Updates and Upgrades, your original Software license must be recorded with Webroot either through product registration or by purchasing the Software license directly from Webroot through www.webroot.com. Updates and Upgrades may be licensed, downloaded, and installed only to the extent that You hold a valid license to use the Software being updated or upgraded, and You may use Updates and Upgrades only in accordance with the terms and conditions of this Agreement and any additional license terms that may accompany such Updates and Upgrades. If the Update or Upgrade affects a component of a package of software programs that you licensed as a single product, the Update or Upgrade may be used and transferred only as part of that single product package and may not be separated for use on more than one computer. The assignment to the category of Update or Upgrade shall be at the sole discretion of Webroot.
  6. SUPPORT. Webroot will provide You with consumer email or telephone support for the Software for as long as Your subscription is valid.
  7. TRIAL. If the Software is being licensed on a trial basis, Your use of the Software is governed by the terms of this Agreement as modified by the terms of this Section. In the event of any conflict between the terms of the Agreement and this Section, the terms of this Section shall govern. You are granted a license to use the Software for evaluation purposes only. You agree to use the Software solely for such purposes, in accordance with the usage restrictions set forth in Section 2, for the designated evaluation period (the "Trial Period"). Upon expiration of the Trial Period, Your license to use the Software automatically expires and the Software's capabilities may become restricted. In addition, You agree to promptly destroy the Software and all copies thereof and, at Webroot's request, to supply written certification of such destruction. If You desire to continue to use the Software beyond the Trial Period, You may acquire a license for the applicable fee. Any attempt to circumvent any expiry date technology or other mechanism contained within the Software which is intended to limit your ability to use the Software to a specified period is a violation of this Agreement, and any attempt to do so shall constitute a material breach of this Agreement.
  8. TERM/TERMINATION. The Agreement becomes effective when You agree to the terms and conditions of this Agreement by opening, installing, using, accessing, or manipulating the Software (the "Effective Date"), and this Agreement will terminate immediately upon notice to You if You materially breach any term or condition of this Agreement. You agree upon termination to promptly destroy the Software and all copies thereof and, at Webroot's request, to supply written certification of such destruction.
  9. WARRANTY DISCLAIMER. THE SOFTWARE IS PROVIDED TO YOU "AS IS" AND WEBROOT AND ITS SUPPLIERS AND LICENSORS EXPRESSLY DISCLAIM ANY AND ALL WARRANTIES AND REPRESENTATIONS OF ANY KIND WITH REGARD TO ANY SUBJECT MATTER OF THIS AGREEMENT, INCLUDING, WITHOUT LIMITATION, ANY WARRANTY OF NON-INFRINGEMENT, TITLE, FITNESS FOR A PARTICULAR PURPOSE, FUNCTIONALITY, OR MERCHANTABILITY, WHETHER EXPRESS, IMPLIED, OR STATUTORY. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY WEBROOT, ITS EMPLOYEES, DISTRIBUTORS, DEALERS, OR AGENTS SHALL INCREASE THE SCOPE OF THE ABOVE WARRANTIES OR CREATE ANY NEW WARRANTIES.
  10. LIMITATION OF REMEDIES. IN NO EVENT WILL WEBROOT, ITS DISTRIBUTORS OR ITS SUPPLIERS BE LIABLE TO YOU OR TO ANY THIRD PARTY FOR ANY LOST PROFITS, LOST DATA, INTERRUPTION OF BUSINESS, OR OTHER SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY KIND ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE OR ANY DATA SUPPLIED THEREWITH, EVEN IF WEBROOT HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH LOSS OR DAMAGES AND WHETHER OR NOT SUCH LOSS OR DAMAGES ARE FORESEEABLE. IN NO EVENT SHALL THE LIABILITY OF WEBROOT EXCEED THE TOTAL AMOUNT RECEIVED BY WEBROOT FROM YOU UNDER THIS AGREEMENT.
  11. YOUR ACKNOWLEDGMENTS. The Software is configured to automatically block, remove, and/or quarantine the installation of software that You may not want on your computer ("Potentially Unwanted Software"). Some computer users believe that Potentially Unwanted Software takes up unnecessary space and system resources, keeps a record of their computer activities, and/or subjects them to undesirable targeted advertising or promotions. On the other hand, some computer users may find benefit in having some of these programs installed on their systems. The Software was created to provide You with the ability to make the decision as to whether or not You want this Potentially Unwanted Software installed on Your computer. THE CHOICE IS YOURS. IF YOU DO NOT WANT THE ABILITY TO REMOVE POTENTIALLY UNWANTED SOFTWARE FROM YOUR COMPUTER, DO NOT ACCEPT THIS LICENSE AND DO NOT INSTALL THE SOFTWARE.

    12. If the Software finds Potentially Unwanted Software, the Software will ask You if You want to retain or remove the program(s). You understand that You have the ultimate choice whether the Software will remove or disable Potentially Unwanted Software and that You are solely responsible for selecting which Potentially Unwanted Software the Software removes or disables. You agree that Webroot is not be responsible for such removal or disabling or the consequences of such removal or disabling.

    Removing or disabling the Potentially Unwanted Software may cause other software on Your computer ("Other Software") to stop working, and it may cause You to breach a license to use Other Software on Your computer if the Other Software installed the Potentially Unwanted Software on Your computer as a condition of Your use of the Other Software. You are advised to review the license agreements for Other Software before authorizing the removal of Potentially Unwanted Software. YOU ACKNOWLEDGE THAT YOUR USE OF THE SOFTWARE MAY REMOVE OR DISABLE OTHER PROGRAMS ON YOUR COMPUTER, INCLUDING SOFTWARE THAT MAY OR MAY NOT BE POTENTIALLY UNWANTED SOFTWARE.

    Because new and/or modified Potentially Unwanted Software programs Webroot detects are regularly introduced, You should make sure You receive Updates to the Software. While Webroot uses reasonable efforts to properly identify Potentially Unwanted Software and regularly update its list of such programs, Webroot cannot and does not guarantee that its list is complete or accurate.

    For more information regarding how to access and review Potentially Unwanted Software blocked or quarantined by the Software, and/or how to prevent such a program from being blocked or quarantined in the future, please visit the Help Desk following installation.

  12. AUTHORITY AND INDEMNITY. If You have entered into this Agreement on behalf of (or to facilitate the use of the Software by) a Company of which You are an employee or agent, You represent and warrant that You have the full corporate right, power, and authority to enter into this Agreement on behalf of the Company, that this Agreement has been duly authorized by the Company, and that this Agreement will constitute the legal, valid, and binding obligation of the Company, enforceable against the Company in accordance with its terms. You hereby agree to indemnify and hold Webroot harmless from any and all claims, damages, losses, and expenses (including, without limitation, attorneys' fees) arising from any breach of this Section 12.
  13. U. S. GOVERNMENT END USERS. The Software is a "commercial item" as that term is defined at 48 C.F.R. 2.101, consisting of "commercial computer software" and "commercial computer software documentation" as such terms are used in 48 C.F.R. 12.212. Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4, all U.S. Government end users acquire the Software with only those rights set forth therein.
  14. EXPORT LAW. The Software and related technology are subject to U.S. export control laws and may be subject to export or import regulations in other countries. You agree to strictly comply with all such laws and regulations and acknowledge that You have the responsibility to obtain such licenses to export, re-export, or import as may be required. You hereby agree to indemnify and hold Webroot harmless from any and all claims, damages, losses, and expenses (including, without limitation, attorneys' fees) arising from any breach of this Section 14.
  15. HIGH RISK ACTIVITY. You acknowledge and agree that the Software is not intended for use with any high risk or strict liability activity, including, without limitation, air or space travel, technical building or structural design, power plant design or operation, life support or emergency medical operations or uses, and that Webroot makes no warranty and shall have no liability arising from any use of the Software in any high risk or strict liability activities.
  16. GENERAL. This Agreement will be governed by the laws of the State of Colorado in the United States of America, without regard to or application of any conflicts of law rules or principles. The federal and state courts for Denver or Boulder County, Colorado, USA shall have exclusive jurisdiction over any disputes, claims, or controversies arising out of or relating to this Agreement, and You hereby irrevocably waive any objection to the jurisdiction of such courts over any such dispute, claim, or controversy. This Agreement will not be governed by the United Nations Convention on Contracts for the International Sale of Goods, the application of which is expressly excluded. If any provision of this Agreement is held to be unenforceable, that provision will be enforced to the extent permissible by law and the remaining provisions will remain in full force. This Agreement is the complete and exclusive statement of the agreement between us which supersedes any proposal or prior agreement, oral or written, and any other communications between You and Webroot in relation to the subject matter of this Agreement.

If You have any questions regarding this Agreement or the Software, please contact the party that supplied the Software to You.

THE SOFTWARE IS PROTECTED BY UNITED STATES COPYRIGHT LAW AND INTERNATIONAL TREATY.

UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.

© 2003 - 2006 Webroot Software, Inc. All rights reserved. Webroot, Spy Sweeper, and the Webroot and Spy Sweeper icons are trademarks or registered trademarks of Webroot Software, Inc.

Included anti-virus Software © 2000 - 2006 Sophos Group. All rights reserved. Sophos and Sophos Anti-Virus are registered trademarks of Sophos Plc and Sophos Group.

All other trademarks, service marks, product names, and company names or logos are the property of their respective owners.